## mingw-w64-qt6-webview-6.10.0-1.src.tar.zst

=== src/plugins/darwin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QDarwinWebViewPlugin Plugin:
#####################################################################

qt_internal_find_apple_system_framework(FWWebKit WebKit)
qt_internal_find_apple_system_framework(FWAppKit AppKit)
qt_internal_find_apple_system_framework(FWUIKit UIKit)
qt_internal_find_apple_system_framework(FWFoundation Foundation)

qt_internal_add_plugin(QDarwinWebViewPlugin
    OUTPUT_NAME qtwebview_darwin
    PLUGIN_TYPE webview
    SOURCES
        qdarwinwebview.mm qdarwinwebview_p.h
        qdarwinwebviewplugin.cpp
    LIBRARIES
        ${FWFoundation}
        ${FWWebKit}
        Qt::Core
        Qt::Gui
        Qt::Quick
        Qt::WebViewPrivate
)

qt_internal_extend_target(QDarwinWebViewPlugin CONDITION MACOS
    LIBRARIES
        ${FWAppKit}
)

qt_internal_extend_target(QDarwinWebViewPlugin CONDITION IOS
    LIBRARIES
        ${FWUIKit}
)

=== src/plugins/winrt/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QWinrtWebViewPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWinrtWebViewPlugin
    OUTPUT_NAME qtwebview_winrt
    PLUGIN_TYPE webview
    SOURCES
        qwinrtwebview.cpp qwinrtwebview_p.h
        qwinrtwebviewplugin.cpp
    LIBRARIES
        urlmon
        Qt::Core
        Qt::Gui
        Qt::WebViewPrivate
    NO_PCH_SOURCES
        "qwinrtwebview.cpp"
)

#### Keys ignored in scope 1:.:.:winrt.pro:<TRUE>:
# DISTFILES = "winrt.json"
# OTHER_FILES = <EMPTY>
# WINDOWS_SDK_VERSION = "$$member($$list $$split WINDOWS_SDK_VERSION_STRING, . , 2)"
# WINDOWS_SDK_VERSION_STRING = "$$(WindowsSDKVersion)"

## Scopes:
#####################################################################

qt_internal_extend_target(QWinrtWebViewPlugin CONDITION QT_WINDOWS_SDK_VERSION STRLESS 16299
    DEFINES
        QT_UCRTVERSION=(  WINDOWS_SDK_VERSION_STRING, . , 2)
        QT_WINRT_URLMKGETSESSIONOPTION_NOT_AVAILABLE
        QT_WINRT_URLMKSETSESSIONOPTION_NOT_AVAILABLE
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-webview
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.10.0
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='Provides a way to display web content in a QML application (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtwebview.git"
msys2_references=(
  'archlinux: qt6-webview'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-base"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('a93564e6a5d10c09954b01a3140725caa2de574ce9c3332d4bced291d9fa3a0f')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-webview() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-webview-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
